#
# spec file for package rubygem-exception_notification
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-exception_notification
Version:        4.1.1
Release:        4.1
%define mod_name exception_notification
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://smartinez87.github.com/exception_notification
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Exception notification for Rails apps
License:        MIT
Group:          Development/Languages/Ruby

%description
Exception notification for Rails apps.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.rdoc MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Wed Jun 10 2015 coolo@suse.com
- updated to version 4.1.1
  see installed CHANGELOG.rdoc
  == 4.1.1
  * bug fixes
  * Alternate way to monkeypatch (by @joshco)
  * Fix BacktraceCleaner namespacing (by @esdlocomb)
* Sat Apr 11 2015 coolo@suse.com
- updated to version 4.1.0
  * enhancements
  * Add support for Sidekiq 3.0 (by @mbrictson)
  * Add IRC notifier (by @nathanjsharpe)
  * Add ActionController::UnknownFormat to default ignored exceptions (by @rezwyi)
  * Add message_template option to HipChat notifier (by @makimoto)
  * Add support for HipChat APIv2 (by @michaelherold)
  * Add Slack notifier (by @martin1keogh)
  * Add option for notifying on `X-Cascade` header (by @etipton)
  * Improve backtrace data (by @munkius)
  * bug fixes
  * Fix `Rails.root` exception (by @hovatterz)
  * Fix email notifier in Sinatra (by @betesh)
* Mon Sep 23 2013 coolo@suse.com
- updated to version 4.0.1
  * enhancements
  * Add HipChat notifier (by @j15e)
  * Log backtrace when notification fails
  * Send more info in Webhook notifier
  * Add HTTP method to request section
* Tue Jul 30 2013 coolo@suse.com
- updated to version 4.0.0
  * enhancements
  * Be able to override delivery_method (by @jweslley)
  * Add logger to log when notifications cannot be shiped (by @jweslley)
  * Add Rails generator to create an initializer file (by @jweslley)
  * Add rails engine (by @jweslley)
  * Add sidekiq support (by @jweslley)
  * Add resque support (by @jweslley)
  * Better style for html views (by @jweslley)
  * Support customizable Mailer class (by @Bishop)
  * Turn ExceptionNotification Rails agnostic (by @jweslley)
  * Support custom ignore exceptions for background notifications (by @jweslley)
  * Be able to implement custom notifiers (by @jweslley)
  * Add Webhook notifier (by @jweslley)
  * Rails 4 compatible
  * bug fixes
  * Don't error if Rails isn't defined. (by @dpogue)
  * Fix call to #normalize_digits (by @ghiculescu)
* Sun Feb  3 2013 coolo@suse.com
- updated to version 3.0.1
  * enhancements
  * Custom Headers (by @DouweM)
  * Make Tinder a soft-dependency (by @fgrehm)
  * bug fixes
  * Fix `code converter not found` (by @alanjds)
* Sun Oct 28 2012 coolo@suse.com
- updated to version 3.0.0
  * enhancements
  * Campfire integration
  * Support fot HTML notifications (by @Xenofex)
  * Be able to override SMTP settings (by @piglop and @Macint)
  * bug fixes
  * Fix encoding issues
  * Allow default sections to be overridden (by @jfarmer)
  * Don't automatically deliver background notifications
* Tue Apr 24 2012 coolo@suse.com
- update to 2.6.1
  * bug fixes
  * Fix finding custom sections on Background notifications. Fixes [#68]
* Tue Apr 17 2012 coolo@suse.com
- update to 2.6.0
  enhancements
    Avoid raising exception on dev mode
    Add ignore_if option to avoid sending certain notifications.
    Add normalize_subject option to remove numbers from email so that they thread (by @jjb)
    Allow the user to provide a custom message and hash of data (by @jjb)
    Add support for configurable background sections and a data partial (by @jeffrafter)
    Include timestamp of exception in notification body
    Add support for rack based session management (by @phoet)
    Add ignore_crawlers option to ignore exceptions generated by crawlers
    Add verbode_subject option to exclude exception message from subject (by @amishyn)
  bug fixes
    Correctly set view path at the right time so that new sections are properly available (by @scrozier)
    Fix handling exceptions with no backtrace
    Fix issue on Solaris with hostname (by @bluescripts)
    Ensure exceptions in view templates doesn’t cause problems, allowing the notification to be sent anyway (by @sce)
* Mon Mar 26 2012 saschpe@suse.de
- update to version 2.5.2
- Require rubygem-actionmailer-3_2, 3_0 is not in Factory
* Fri Jun 11 2010 mrueckert@suse.de
- update to 2.3.3.0
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Wed Dec 23 2009 prusnak@suse.cz
- created package
